const fs = require('fs')
let moment = require('moment-timezone')
const _=require('lodash')
init()


async function init() {
    try {
        await fs.mkdirSync('analyse')

    } catch (e) {

    }
    let files = await fs.readdirSync('analyse')
    let prom = []
    for (let i = 0; i < files.length; i++) {
        if (files[i].includes('.csv')) {
            prom.push(format(files[i]))
        }

    }

    await Promise.all(prom)

}


async function format(name) {
    let res = await fs.readFileSync('./analyse/' + name, 'utf8');
    res = res.split('\n')





let list=[]
    let pluser=0
    let allProfit=0
    for (let i = 1; i <(res.length-1); i ++) {
let d=res[i].split(',')
        try {
    let profit=parseFloat(d[7])
            if (profit<0)
            {
                allProfit=allProfit+profit
                pluser++
            }
           else
            {
                if (pluser !==0)
                    list.push(pluser)
                pluser=0
            }
        }
        catch (e)
        {

        }


    }
    let arr2=_.uniq(list)
    arr2=_.orderBy(arr2)
    let arr=[]

    for (let i=0;i<arr2.length;i++)
    {
        let counter=0
        for (let j=0;j<list.length;j++)
            if (list[j] ===arr2[i])
                counter++

        arr.push({number:arr2[i],count:counter})
    }
    console.log('Avg Profit:'+(allProfit/list.length))
    console.log(arr)
//     arr= await Promise.all(arr)
// //console.log(arr)
//     let t = header + '\n'
//     for (let i = 0; i < arr.length; i++) {
//         t = t + arr[i]
//         if (i <arr.length-1)
//             t=t+'\n'
//     }
//
//     await createFile(name, t)
//     console.log('done')
}


function createFile(name, body) {
    return new Promise(function (resolve, reject) {
        fs.writeFile('analyse/' + name, body, 'utf8', function (err) {
            if (err) reject(err);
            else resolve(true);
        });
    });
}